package de.ozgcloud.alfa.common;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.hateoas.EntityModel;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.user.UserManagerUrlProvider;

@Component
public class ModelBuilderFactory<T> {

	@Autowired
	private UserManagerUrlProvider userManagerUrlProvider;

	public ModelBuilder<T> fromEntity(T entity) {
		return withUserManagerUrl(ModelBuilder.fromEntity(entity));
	}

	public ModelBuilder<T> fromModel(EntityModel<T> model) {
		return withUserManagerUrl(ModelBuilder.fromModel(model));
	}

	ModelBuilder<T> withUserManagerUrl(ModelBuilder<T> modelBuilder) {
		return modelBuilder.withUserManagerUrl(userManagerUrlProvider.getUserProfileTemplate());
	}
}