package de.ozgcloud.alfa.common;

import java.io.IOException;
import java.util.Collection;
import java.util.function.Function;

import com.fasterxml.jackson.core.JsonGenerator;

import de.itvsh.kop.common.errorhandling.TechnicalException;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
class SerializerHelper {

	public static void writeObject(JsonGenerator gen, Object value, Function<Object, String> toWrite) throws IOException {
		if (value instanceof Collection) {
			gen.writeStartArray();
			((Collection<?>) value).forEach(val -> writeObject(gen, toWrite.apply(val)));
			gen.writeEndArray();
		} else {
			writeObject(gen, toWrite.apply(value));
		}
	}

	public static void writeObject(JsonGenerator gen, Object value) {
		try {
			gen.writeObject(value);
		} catch (IOException e) {
			throw new TechnicalException("Error writing String to json", e);
		}
	}
}
