package de.ozgcloud.alfa.common.command;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.*;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

@Constraint(validatedBy = { RequiredOrderValidator.class })
@Target({ FIELD, METHOD, PARAMETER, ANNOTATION_TYPE, TYPE_USE })
@Retention(RUNTIME)
@Documented
public @interface RequiredOrder {

	String message() default "invalid command order";

	Class<?>[] groups() default {};

	Class<? extends Payload>[] payload() default {};

	CommandOrder value();

}
