package de.ozgcloud.alfa.vorgang;

import java.util.Collections;
import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Configuration
@ConfigurationProperties(prefix = VorgangProperties.PREFIX)
class VorgangProperties {

	public static final String PREFIX = "ozgcloud.vorgang";

	/**
	 * Konfiguriert für welche Art von Anträgen der Button zur Erstellung von Bescheiden angezeigt wird. Der Art eines Antrags wird basierend auf form
	 * id und form engine name bestimmt.
	 */
	private List<VorgangProperty> bescheid = Collections.emptyList();

	@Builder
	@Setter
	@Getter
	static class VorgangProperty {

		private String formId;
		private String formEngineName;

	}
}
