/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.common;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

import de.ozgcloud.alfa.common.user.UserManagerUrlProvider;
import de.ozgcloud.alfa.common.user.UserProfileTestFactory;

class LinkedUserProfileResourceSerializerTest {

	@InjectMocks
	private LinkedUserProfileResourceSerializer serializer;
	@Mock
	private UserManagerUrlProvider userManagerUrlProvider;

	private static final String USER_PROFILE_URL_TEMPLATE = "DummyUserProfileUrlTemplate/%s";

	@Disabled
	@DisplayName("Build Link")
	@Nested
	class TestBuildLink {

		@BeforeEach
		void mockProvider() {
			when(userManagerUrlProvider.getUserProfileTemplate()).thenReturn(USER_PROFILE_URL_TEMPLATE);
		}

		@Test
		void shouldCallProvider() {
			serializer.buildLink(UserProfileTestFactory.ID);

			verify(userManagerUrlProvider).getUserProfileTemplate();
		}

		@Test
		void shouldReturnLink() {
			var link = serializer.buildLink(UserProfileTestFactory.ID);

			assertThat(link).isEqualTo("DummyUserProfileUrlTemplate/" + UserProfileTestFactory.ID);
		}
	}
}