/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.common.clientattribute;

import de.itvsh.ozg.pluto.grpc.clientAttribute.GrpcAccessPermission;
import de.itvsh.ozg.pluto.grpc.clientAttribute.GrpcClientAttribute;
import de.itvsh.ozg.pluto.grpc.clientAttribute.GrpcClientAttributeValue;
import de.ozgcloud.alfa.common.callcontext.CallContextTestFactory;

public class GrpcClientAttributeTestFactory {
	static final String CLIENT_NAME = CallContextTestFactory.CLIENT_NAME;
	static final GrpcAccessPermission ACCESS_PERMISSION = GrpcAccessPermission.READ_ONLY;
	static final GrpcClientAttributeValue ATTRIBUTE_VALUE = GrpcClientAttributeValue.newBuilder().setBoolValue(true).build();

	public static final String ATTRIBUTE_NAME = "testAttribute";

	public static GrpcClientAttribute create() {
		return createBuilder().build();
	}

	public static GrpcClientAttribute.Builder createBuilder() {
		return GrpcClientAttribute.newBuilder()
				.setAccess(ACCESS_PERMISSION)
				.setClientName(CLIENT_NAME)
				.setAttributeName(ATTRIBUTE_NAME)
				.setValue(ATTRIBUTE_VALUE);
	}
}
