package de.ozgcloud.alfa.hint;

import static org.assertj.core.api.Assertions.*;

import java.util.List;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.springframework.hateoas.IanaLinkRelations;
import org.springframework.hateoas.Link;

class HintModelAssemblerTest {

	private HintModelAssembler modelAssembler = new HintModelAssembler();

	@DisplayName("To collectionModel")
	@Nested
	class TestToCollectionModel {

		@Test
		void shouldHaveSelfLink() {
			var collectionModel = modelAssembler.toCollectionModel(List.of(HintTestFactory.create()));

			assertThat(collectionModel.getLink(IanaLinkRelations.SELF)).isPresent()
					.get().extracting(Link::getHref).isEqualTo(HintController.PATH);
		}
	}

	@DisplayName("To model")
	@Nested
	class TestToModel {

		@Test
		void shouldHaveSelfLink() {
			var model = modelAssembler.toModel(HintTestFactory.create());

			assertThat(model.getLink(IanaLinkRelations.SELF)).isPresent().get().extracting(Link::getHref)
					.isEqualTo(String.format("%s/%s", HintController.PATH, HintTestFactory.CODE));
		}
	}
}
