package de.ozgcloud.alfa.loeschanforderung;

import java.util.Map;
import java.util.UUID;

import de.ozgcloud.alfa.common.user.UserId;
import de.ozgcloud.alfa.vorgang.Vorgang.VorgangStatus;
import de.ozgcloud.alfa.vorgang.VorgangHeaderTestFactory;

public class LoeschAnforderungTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final UserId REQUESTED_BY = UserId.from(UUID.randomUUID().toString());
	public static final VorgangStatus PREV_STATUS = VorgangStatus.VERWORFEN;
	public static final String VORGANG_ID = VorgangHeaderTestFactory.ID;

	static final String CHANGE_STATUS_COMMAND_ID = UUID.randomUUID().toString();
	static final String DELETE_VORGANG_ATTACHED_ITEM_ID = UUID.randomUUID().toString();

	public static LoeschAnforderung create() {
		return createBuilder().build();
	}

	public static LoeschAnforderung.LoeschAnforderungBuilder createBuilder() {
		return LoeschAnforderung.builder().id(ID).vorgangId(VorgangHeaderTestFactory.ID).prevStatus(PREV_STATUS).requestedBy(REQUESTED_BY);
	}

	public static Map<String, Object> asMap() {
		return Map.of(
				LoeschAnforderung.REQUESTED_BY_FIELD, REQUESTED_BY.toString(),
				LoeschAnforderung.PREV_STATUS_FIELD, PREV_STATUS.name());
	}

	public static Map<String, String> createDeleteLoeschAnforderungBodyMap() {
		return Map.of(DeleteLoeschAnforderung.CHANGE_STATUS_COMMAND_ID_FIELD, CHANGE_STATUS_COMMAND_ID,
				DeleteLoeschAnforderung.DELETE_ATTACHED_ITEM_COMMAND_ID_FIELD, DELETE_VORGANG_ATTACHED_ITEM_ID);
	}
}
