package de.ozgcloud.alfa.postfach;

import de.itvsh.ozg.pluto.common.GrpcObject;
import de.itvsh.ozg.pluto.common.GrpcProperty;
import de.itvsh.ozg.pluto.vorgang.GrpcPostfachAddress;

public class GrpcPostfachAddressTestFactory {

	public static GrpcPostfachAddress create() {
		return createBuilder().build();
	}

	public static GrpcPostfachAddress.Builder createBuilder() {
		return GrpcPostfachAddress.newBuilder()
				.setType(PostfachAddressTestFactory.TYPE)
				.setIdentifier(createStringBasedIdentifier())
				.setVersion(PostfachAddressTestFactory.VERSION);
	}

	public static GrpcObject createStringBasedIdentifier() {
		return GrpcObject.newBuilder()
				.addProperty(GrpcProperty.newBuilder()
						.setName(PostfachAddress.IDENTIFIER_POSTFACH_ID_FIELD)
						.addValue(PostfachAddressTestFactory.STRING_BASED_IDENTIFIER_POSTFACH_ID)
						.build())
				.build();
	}
}
