/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.itvsh.ozg.pluto.vorgang.GrpcAntragsteller;
import de.itvsh.ozg.pluto.vorgang.GrpcFormData;
import de.itvsh.ozg.pluto.vorgang.GrpcFormField;

public class GrpcAntragstellerTestFactory {

	public final static String ANREDE = "HERR/FRAU";
	public final static String NACHNAME = LoremIpsum.getInstance().getLastName();
	public final static String VORNAME = LoremIpsum.getInstance().getFirstName();
	public final static String GEBURTSDATUM_STR = "21.03.1995";
	public final static String GEBURTSORT = LoremIpsum.getInstance().getCountry();
	public final static String GEBURTSNAME = LoremIpsum.getInstance().getFirstName();
	public final static String EMAIL = LoremIpsum.getInstance().getEmail();
	public static final String TELEFON = "+ 49 4621 9654";
	public static final String STRASSE = "Lachstrasse";
	public static final String HAUSNUMMER = "8484";
	public static final String PLZ = "12345";
	public static final String ORT = "Wohlfuehlhausen";
	public static final String POSTFACH_ID = UUID.randomUUID().toString();

	public final static GrpcFormData OTHER_DATA = GrpcFormData.newBuilder()
			.addField(GrpcFormField.newBuilder()
					.setName(AntragstellerTestFactory.OTHER_DATA_KEY)
					.setValue(AntragstellerTestFactory.OTHER_DATA_VALUE).build())
			.build();

	public static GrpcAntragsteller create() {
		return createBuilder().build();
	}

	public static GrpcAntragsteller.Builder createBuilder() {
		return GrpcAntragsteller.newBuilder()
				.setAnrede(ANREDE)
				.setGeburtsdatum(GEBURTSDATUM_STR)
				.setNachname(NACHNAME)
				.setVorname(VORNAME)
				.setGeburtsname(GEBURTSNAME)
				.setGeburtsort(GEBURTSORT)
				.setEmail(EMAIL)
				.setTelefon(TELEFON)
				.setStrasse(STRASSE)
				.setHausnummer(HAUSNUMMER)
				.setPlz(PLZ)
				.setOrt(ORT)
				.setPostfachId(POSTFACH_ID)
				.setOtherData(OTHER_DATA);
	}
}