/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { SpinnerE2EComponent } from '../ui/spinner.e2e.component';
import { VorgangListItemE2EComponent } from './vorgang-item.e2e.component';

export class VorgangListE2EComponent {

	private readonly spinnerComponent: SpinnerE2EComponent = new SpinnerE2EComponent();

	private readonly root: string = 'vorgang-list';
	private readonly item: string = 'goofy-client-vorgang-list-item';
	private readonly noRoleMessage: string = 'user-no-role-message';
	private readonly emptyListText: string = 'empty-list-text';
	private readonly emptyList: string = 'empty-list';

	public getRoot() {
		return cy.getTestElement(this.root);
	}

	public getItems() {
		return this.getRoot().find(this.item);
	}

	public getListItem(vorgangName: string): VorgangListItemE2EComponent {
		return new VorgangListItemE2EComponent(vorgangName);
	}

	/**@deprecated use waitForSpinnerToAppear() */
	public getSpinner() {
		return this.spinnerComponent.findSpinner(this.getRoot());
	}

	public getNoRoleMessage() {
		return cy.getTestElement(this.noRoleMessage);
	}

	public getEmptySucheMessage() {
		return cy.getTestElement(this.emptyListText);
	}
}