/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { BuildInfoE2EComponent } from 'apps/goofy-e2e/src/components/buildinfo/buildinfo.e2e.component';
import { VorgangListE2EComponent } from 'apps/goofy-e2e/src/components/vorgang/vorgang-list.e2e.component';
import { MainPage, waitForSpinnerToDisappear } from 'apps/goofy-e2e/src/page-objects/main.po';
import { dropCollections } from 'apps/goofy-e2e/src/support/cypress-helper';
import { exist } from 'apps/goofy-e2e/src/support/cypress.util';
import { loginAsSabine } from 'apps/goofy-e2e/src/support/user-util';

describe('Buildinfo', () => {
	const mainPage: MainPage = new MainPage();
	const vorgangList: VorgangListE2EComponent = mainPage.getVorgangList();
	const buildInfo: BuildInfoE2EComponent = mainPage.getBuildInfo();

	before(() => {
		loginAsSabine();
	})

	after(() => {
		dropCollections();
	})

	describe('after login', () => {

		it('should show vorgangList', { defaultCommandTimeout: 30000 }, () => {
			waitForSpinnerToDisappear();
			exist(vorgangList.getRoot());
		})
	})

	describe('buildinfo', () => {

		it('should show version', () => {
			exist(buildInfo.getVersion());
		})

	})
})