/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
//TODO Datei umbenennen in postfach.po.ts
import { PostfachMailSubnavigation } from '../components/postfach/postfach-mail-subnavigation.e2e.component';
import { PostfachMailListItem } from '../components/postfach/postfach-mail.e2e.component';

export class PostfachMailPage {

	private readonly locatorBreadcrump: string = 'postfach-breadcrump';
	private readonly locatorRoot: string = 'postfach-mail-list';

	private readonly subnavigation: PostfachMailSubnavigation = new PostfachMailSubnavigation();

	getRoot() {
		return cy.getTestElement(this.locatorRoot);
	}

	getSubnavigation(): PostfachMailSubnavigation {
		return this.subnavigation;
	}

	getBreadcrump() {
		return cy.getTestElement(this.locatorBreadcrump);
	}

	getListItem(subject: string): PostfachMailListItem {
		return new PostfachMailListItem(subject);
	}
}