/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { encodeUrlForEmbedding } from '@goofy-client/tech-shared';
import { PostfachE2E } from '../model/postfach-nachricht';
import { buildUrl } from './tech.util';

const postfachNachricht: PostfachE2E = require('../fixtures/postfach/postfach-nachricht-reply-item.json');

export function createPostfachUriByVorgangId(id: string): string {
	return `/vorgang/${encodeUrlForEmbedding(buildUrl(id, 'vorgangs'))}/postfach`;
}

export function createPostfachNachricht() {
	return { ...postfachNachricht, class: 'class de.itvsh.goofy.postfach.PostfachMail' };
}