/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input } from '@angular/core';
import { CommandListResource } from '@goofy-client/command-shared';
import { ForwardingListLinkRel } from '@goofy-client/forwarding-shared';
import { StateResource } from '@goofy-client/tech-shared';

@Component({
	selector: 'goofy-client-vorgang-forwarding-info-list',
	templateUrl: './vorgang-forwarding-info-list.component.html',
	styleUrls: ['./vorgang-forwarding-info-list.component.scss']
})
export class VorgangForwardingInfoListComponent {

	@Input() public forwardingList: StateResource<CommandListResource>;

	readonly listLinkRel = ForwardingListLinkRel;
}