/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input } from '@angular/core';
import { CommandResource } from '@goofy-client/command-shared';
import { getUserName, UserProfileResource } from '@goofy-client/user-profile-shared';

@Component({
	selector: 'goofy-client-historie-item-assign-user',
	templateUrl: './historie-item-assign-user.component.html',
	styleUrls: ['./historie-item-assign-user.component.scss'],
})
export class HistorieItemAssignUserComponent {

	@Input() command: CommandResource;
	@Input()
	public set userProfile(userProfile: UserProfileResource) {
		this.headline = this.buildHeadline(userProfile);
	}

	headline: string;

	buildHeadline(userProfile: UserProfileResource): string {
		return `${getUserName(userProfile)} den Vorgang zugewiesen.`;
	}
}