import { CommandResource } from '@goofy-client/command-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { createFeatureSelector, createSelector, MemoizedSelector } from '@ngrx/store';
import { LoeschAnforderungResource } from '../loesch-anforderung.model';
import { LOESCH_ANFORDERUNG_FEATURE_KEY, LoeschAnforderungState } from './loesch-anforderung.reducer';

export const getLoeschAnforderungState: MemoizedSelector<object, LoeschAnforderungState> = createFeatureSelector<LoeschAnforderungState>(LOESCH_ANFORDERUNG_FEATURE_KEY);

export const loeschenAnfordernCommand: MemoizedSelector<LoeschAnforderungState, StateResource<CommandResource>> = createSelector(getLoeschAnforderungState, (state: LoeschAnforderungState) => state.loeschenAnfordernCommand);
export const loeschAnforderung: MemoizedSelector<LoeschAnforderungState, StateResource<LoeschAnforderungResource>> = createSelector(getLoeschAnforderungState, (state: LoeschAnforderungState) => state.loeschAnforderung);
export const vorgangLoeschenCommand: MemoizedSelector<LoeschAnforderungState, StateResource<CommandResource>> = createSelector(getLoeschAnforderungState, (state: LoeschAnforderungState) => state.vorgangLoeschenCommand);
export const loeschAnforderungZuruecknehmenCommand: MemoizedSelector<LoeschAnforderungState, StateResource<CommandResource>> = createSelector(getLoeschAnforderungState, (state: LoeschAnforderungState) => state.loeschAnforderungZuruecknehmenCommand);