import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MAT_DIALOG_DATA, MatDialogModule, MatDialogRef } from '@angular/material/dialog';
import { MatIcon } from '@angular/material/icon';
import { IconButtonWithSpinnerComponent, OzgcloudStrokedButtonWithSpinnerComponent } from '@goofy-client/ui';
import { MockComponent } from 'ng-mocks';
import { BasicDialogComponent } from './basic-dialog.component';

describe('BasicDialogComponent', () => {
	let component: BasicDialogComponent;
	let fixture: ComponentFixture<BasicDialogComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			imports: [
				MatDialogModule
			],
			declarations: [
				BasicDialogComponent,
				MatIcon,
				MockComponent(OzgcloudStrokedButtonWithSpinnerComponent),
				MockComponent(IconButtonWithSpinnerComponent),
			],
			providers: [
				{
					provide: MatDialogRef,
					useValue: {}
				},
				{
					provide: MAT_DIALOG_DATA,
					useValue: { }
				}
			]
		}).compileComponents();

		fixture = TestBed.createComponent(BasicDialogComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('onNoClick', () => {
		it('should call dialogRef.close', () => {
			component.dialogRef.close = jest.fn();

			component.onNoClick();

			expect(component.dialogRef.close).toHaveBeenCalled();
		})
	})
});
