import { Component, Input } from '@angular/core';

const FILE_NAME_REGEX: RegExp = /^.*\/(.*.pdf)$/;

@Component({
	selector: 'goofy-client-download-documentation-button',
	templateUrl: './download-documentation-button.component.html',
	styleUrls: ['./download-documentation-button.component.scss'],
})
export class DownloadDocumentationButtonComponent {

	@Input() url: string;
	@Input() downloadTitle: string;

	public getFileName(): string {
		const match = this.url.match(FILE_NAME_REGEX);
		return match ? match[1] : this.downloadTitle;
	}
}
