/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, OnInit } from '@angular/core';
import { LoeschAnforderungService } from '@goofy-client/loesch-anforderung-shared';
import { StateResource } from '@goofy-client/tech-shared';
import { VorgangCommandService, VorgangService, VorgangWithEingangResource } from '@goofy-client/vorgang-shared';
import { CommandResource } from 'libs/command-shared/src/lib/command.model';
import { Observable } from 'rxjs';

@Component({
	selector: 'goofy-client-vorgang-detail-page',
	templateUrl: './vorgang-detail-page.component.html',
	styleUrls: ['./vorgang-detail-page.component.scss']
})
export class VorgangDetailPageComponent implements OnInit {

	vorgangStateResource$: Observable<StateResource<VorgangWithEingangResource>>;
	revokeCommandStateResource$: Observable<StateResource<CommandResource>>;
	vorgangLoeschenCommandStateResource$: Observable<StateResource<CommandResource>>;

	constructor(private vorgangService: VorgangService, private vorgangCommandService: VorgangCommandService, private loeschAnforderungService: LoeschAnforderungService) { }

	ngOnInit(): void {
		this.vorgangStateResource$ = this.vorgangService.getVorgangWithEingang();
		this.revokeCommandStateResource$ = this.vorgangCommandService.getRevokeCommand();
		this.vorgangLoeschenCommandStateResource$ = this.loeschAnforderungService.getEndgueltigLoeschenCommand();
	}
}