/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { createStateResource, ToResourceUriPipe } from '@goofy-client/tech-shared';
import { createVorgangWithEingangResource } from 'libs/vorgang-shared/test/vorgang';
import { MockComponent } from 'ng-mocks';
import { AktenzeichenComponent } from '../../aktenzeichen/aktenzeichen.component';
import { VorgangInPostfachBreadcrumbComponent } from './vorgang-in-postfach-breadcrumb.component';

describe('VorgangInPostfachBreadcrumbComponent', () => {
	let component: VorgangInPostfachBreadcrumbComponent;
	let fixture: ComponentFixture<VorgangInPostfachBreadcrumbComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangInPostfachBreadcrumbComponent,
				ToResourceUriPipe,
				MockComponent(AktenzeichenComponent)
			],
			imports: [
				RouterTestingModule
			]
		})
			.compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangInPostfachBreadcrumbComponent);
		component = fixture.componentInstance;
		component.vorgangStateResource = createStateResource(createVorgangWithEingangResource());
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});
});