/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { EnumToLabelPipe } from '@goofy-client/tech-shared';
import { VorgangResource } from '@goofy-client/vorgang-shared';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { createVorgangResource } from 'libs/vorgang-shared/test/vorgang';
import { VorgangStatusDotComponent } from './vorgang-status-dot.component';

describe('VorgangStatusDotComponent', () => {
	let component: VorgangStatusDotComponent;
	let fixture: ComponentFixture<VorgangStatusDotComponent>;

	const vorgang: VorgangResource = createVorgangResource();
	const statusDotTestId: string = getDataTestIdOf('vorgang-status-dot');

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangStatusDotComponent,
				EnumToLabelPipe
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(VorgangStatusDotComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	it('should show status dot', () => {
		component.status = vorgang.status;

		fixture.detectChanges();
		const statusDotElement: HTMLElement = fixture.nativeElement.querySelector(statusDotTestId);
		const statusClassName: string = vorgang.status.toLowerCase();

		expect(statusDotElement.classList.contains(statusClassName)).toBe(true);
	})
});
