import { ComponentFixture, TestBed } from '@angular/core/testing';
import { mock } from '@goofy-client/test-utils';
import { VorgangListService, VorgangView } from '@goofy-client/vorgang-shared';
import { MockComponent } from 'ng-mocks';
import { VorgangSearchViewItemContainerComponent } from './vorgang-search-view-item-container.component';
import { VorgangSearchViewItemComponent } from './vorgang-search-view-item/vorgang-search-view-item.component';

describe('VorgangSearchViewItemContainerComponent', () => {
	let component: VorgangSearchViewItemContainerComponent;
	let fixture: ComponentFixture<VorgangSearchViewItemContainerComponent>;

	const vorgangListService = mock(VorgangListService);

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangSearchViewItemContainerComponent,
				MockComponent(VorgangSearchViewItemComponent)
			],
			providers: [
				{
					provide: VorgangListService,
					useValue: vorgangListService
				}
			]
		}).compileComponents();

		fixture = TestBed.createComponent(VorgangSearchViewItemContainerComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('OnInit', () => {

		it('should call vorgangListService isVorgangViewSelected', () => {
			component.ngOnInit();

			expect(vorgangListService.isVorgangViewSelected).toHaveBeenCalledWith(VorgangView.SEARCH);
		})

		it('should call vorgangListService getVorgangViewRoutePath', () => {
			component.ngOnInit();

			expect(vorgangListService.getVorgangViewRoutePath).toHaveBeenCalledWith(VorgangView.SEARCH);
		})
	})
});
